# -*- coding: utf-8 -*-

# This file is part of the Gedit LaTeX Plugin
#
# Copyright (C) 2007 Michael Zeising
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public Licence as published by the Free Software
# Foundation; either version 2 of the Licence, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public Licence for more 
# details.
#
# You should have received a copy of the GNU General Public Licence along with
# this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA  02110-1301, USA

from os.path import splitext

from Message import *
from Processor import Processor

class ChktexProcessor(Processor):
	"""
	This processes the output of ChkTeX
	"""
	def get_messages(self):
		messages = []
		f = splitext(self.filename)[0] + ".chktex"
		
		try:
			for l in open(f).readlines():
				filename = l.split(":")[0]
				line = int(l.split(":")[1]) - 1
				message = l.split(":")[4].strip()
				
				messages.append(Message(filename, line, None, message, WARNING))
				
				return messages
		except IOError:
			return [Message(self.filename, None, "chktex output not found.", ERROR)]
		