# -*- coding: utf-8 -*-

# This file is part of the Gedit LaTeX Plugin
#
# Copyright (C) 2007 Michael Zeising
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public Licence as published by the Free Software
# Foundation; either version 2 of the Licence, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public Licence for more 
# details.
#
# You should have received a copy of the GNU General Public Licence along with
# this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA  02110-1301, USA

class Job(object):
	"""
	A job belongs to a build profile
	"""
	def __init__(self):
		self.command = None
		self.processor = None
		self.stopper = None 
	
	def get_command(self, replacements={}):
		"""
		Replace the special tokens in the command and return it
		"""
		c = self.command
		for key, value in replacements.items():
			c = c.replace(key, value)
		return c
	
	def get_command_name(self):
		return self.command.split(" ")[0]