# -*- coding: utf-8 -*-

# This file is part of the Gedit LaTeX Plugin
#
# Copyright (C) 2007 Michael Zeising
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public Licence as published by the Free Software
# Foundation; either version 2 of the Licence, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public Licence for more 
# details.
#
# You should have received a copy of the GNU General Public Licence along with
# this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
# Street, Fifth Floor, Boston, MA  02110-1301, USA

from Logger import error

def str_bool(x):
	"""
	Converts a string to a boolean value
	"""
	if type(x) is bool:
		return x
	elif type(x) is str or type(x) is unicode:
		return {"false" : False, "0" : False, "true" : True, "1" : True}[x.strip().lower()]
	else:
		error(None, "str_bool", "Unsupported type " + str(type(x)))

def show_warning(message):
	"""
	Popup a warning
	"""
	from gtk import MessageDialog, MESSAGE_WARNING, BUTTONS_CLOSE
	
	message_dialog = MessageDialog(type=MESSAGE_WARNING, buttons=BUTTONS_CLOSE, 
								   message_format=message)
	message_dialog.set_title("LaTeX Plugin")
	message_dialog.run()
	message_dialog.destroy()


#import threading
#
#
#def threaded(f):
#	"""
#	Threaded decorator
#	"""
#	def wrapper(*args):
#		t = threading.Thread(target=f, args=args)
#		t.start()
#	return wrapper